com.corticon.rulesemf.canonicalvocabularymodel

## Interface VocabularyProperty

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ValidatableObject
  All Known Subinterfaces:
    VocabularyBoolean, VocabularyDataType, VocabularyExpression, VocabularyString, VocabularyValueSet

      public interface VocabularyProperty
      extends ValidatableObject

  A representation of the model object 'Vocabulary Property'.

  The following features are supported:

  - `Manually Created`
  See Also:
    `CanonicalvocabularymodelPackage.getVocabularyProperty()`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isManuallyCreated()` Returns the value of the 'Manually Created' attribute
    `void` | `setManuallyCreated(boolean value)` Sets the value of the '`Manually Created`' attribute

    - ### Methods inherited from interface com.corticon.rulesemf.common.ValidatableObject

      `getValidationMessages, hasErrors, hasErrors, hasErrorsOrWarnings, hasErrorsOrWarnings, hasSeverity, hasSeverity, hasWarnings, hasWarnings, isValid, isValid`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isManuallyCreated

          boolean isManuallyCreated()

      Returns the value of the 'Manually Created' attribute.

      If the meaning of the 'Manually Created' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Manually Created' attribute.
      See Also:
        `setManuallyCreated(boolean)`, `CanonicalvocabularymodelPackage.getVocabularyProperty_ManuallyCreated()`

    - #### setManuallyCreated

          void setManuallyCreated(boolean value)

      Sets the value of the '`Manually Created`' attribute.
      Parameters:
        `value` - the new value of the 'Manually Created' attribute.
      See Also:
        `isManuallyCreated()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.